const fs = require('fs')
const CSV = require('comma-separated-values')
const RegionRepository = require('../repository/region')

// import region from file to database
// file in tsv formatting with two column Id, Ref_Name
// params
//  - opts: object contains options
//      - file <string>: path to data file
//      - db <mongo>: instance of mongodb
//  - callback <function>: function will call
//    params
//     - error <object>: error during process
module.exports = function (opts, callback) {
  // read tsv file
  const region = new RegionRepository(opts.db)
  var data = fs.readFileSync(opts.file).toString()
  var items = []

  new CSV(data, {header: true}).forEach(function (item) {
    items.push({
      id: item['alpha2'].toLowerCase(),
      name: item['name']
    })
  })

  // push to database
  region.insert(items, function (err) {
    callback(err)
  })
}
